Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class ElementDesc

    java.lang.Object
      SEdit.ElementDesc

Direct Known Subclasses:
  ArrowDesc, NodeDesc

    public abstract class ElementDesc

extends java.lang.Object

Abstract class of the meta-elements of the model elements.

Author:
  Jacques Ferber and Olivier Gutknecht
See Also:
  `StructureEditor`, `StructureAgent`

Field Summary
`static int` | `ACTIONPROPERTIES`
`java.util.Hashtable` | `actions`
`java.lang.String` | `category`
`static boolean` | `debug`
`java.lang.String` | `elementClass` class name for a graphic element
`java.lang.String` | `graphicClass`
`static int` | `GRAPHICPROPERTIES`
`java.lang.String` | `icon` nom de l'icone dans la barre des elements a creer
`static int` | `PROPERTIES`

Constructor Summary
`ElementDesc()`
`ElementDesc(java.lang.String n, java.lang.String desc, java.lang.String classname, java.lang.String iconLocation)`

Method Summary
`void` | `addActionDesc(ActionDesc a)`
`void` | `addActionDesc(java.lang.String call, java.lang.String name)`
`ActionDesc` | `getAction(java.lang.String s)`
`java.util.Hashtable` | `getActions()`
`java.lang.String` | `getCategory()`
`java.lang.String` | `getDefaultLabel()` Get the value of defaultLabel.
`java.lang.String` | `getDescription()` Get the value of description.
`java.lang.String` | `getElementClass()`
`Formalism` | `getFormalism()` Get the value of formalism.
`java.lang.String` | `getGraphicClass()`
`java.util.Hashtable` | `getGraphicProperties()` Get the value of graphicProperties.
`java.lang.String` | `getIcon()`
`java.lang.String` | `getName()` Get the value of name.
`java.util.Hashtable` | `getProperties()` Get the value of properties.
`boolean` | `hasActions()`
`boolean` | `hasIcon()`
`boolean` | `isDefaultValue(java.lang.String name, java.lang.String value, int type)` Test if a pair is a default value of the table.
`boolean` | `isStandardDefaultValue(java.lang.String name, java.lang.String value, int type)`
`SElement` | `makeElement(java.util.Hashtable properties)` A factory method that builds a new element according to the description
`void` | `setActions(java.util.Hashtable v)`
`void` | `setCategory(java.lang.String s)`
`void` | `setDefaultLabel(java.lang.String v)` Set the value of defaultLabel.
`void` | `setElementClass(java.lang.String s)`
`void` | `setFormalism(Formalism v)` Set the value of formalism.
`void` | `setGraphicClass(java.lang.String i)`
`void` | `setGraphicProperties(java.util.Hashtable v)` Set the value of graphicProperties.
`void` | `setIcon(java.lang.String location)`
`void` | `setName(java.lang.String v)` Set the value of name.
`void` | `setProperties(java.util.Hashtable v)` Set the value of properties.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROPERTIES

    public static final int PROPERTIES

See Also:
  Constant Field Values

### GRAPHICPROPERTIES

    public static final int GRAPHICPROPERTIES

See Also:
  Constant Field Values

### ACTIONPROPERTIES

    public static final int ACTIONPROPERTIES

See Also:
  Constant Field Values

### debug

    public static boolean debug

### icon

    public java.lang.String icon

  nom de l'icone dans la barre des elements a creer

### elementClass

    public java.lang.String elementClass

  class name for a graphic element

### category

    public java.lang.String category

### graphicClass

    public java.lang.String graphicClass

### actions

    public java.util.Hashtable actions

Constructor Detail

### ElementDesc

    public ElementDesc()

### ElementDesc

    public ElementDesc(java.lang.String n,
                       java.lang.String desc,
                       java.lang.String classname,
                       java.lang.String iconLocation)

Method Detail

### getFormalism

    public Formalism getFormalism()

  Get the value of formalism.

  Returns:
    Value of formalism.

### setFormalism

    public void setFormalism(Formalism v)

  Set the value of formalism.

  Parameters:
    `v` - Value to assign to formalism.

### getName

    public java.lang.String getName()

  Get the value of name.

  Returns:
    Value of name.

### setName

    public void setName(java.lang.String v)

  Set the value of name.

  Parameters:
    `v` - Value to assign to name.

### getDefaultLabel

    public java.lang.String getDefaultLabel()

  Get the value of defaultLabel.

  Returns:
    Value of defaultLabel.

### setDefaultLabel

    public void setDefaultLabel(java.lang.String v)

  Set the value of defaultLabel.

  Parameters:
    `v` - Value to assign to defaultLabel.

### getDescription

    public java.lang.String getDescription()

  Get the value of description.

  Returns:
    Value of description.

### getGraphicClass

    public java.lang.String getGraphicClass()

### setGraphicClass

    public void setGraphicClass(java.lang.String i)

### getProperties

    public java.util.Hashtable getProperties()

  Get the value of properties.

  Returns:
    Value of properties.

### setProperties

    public void setProperties(java.util.Hashtable v)

  Set the value of properties.

  Parameters:
    `v` - Value to assign to properties.

### getGraphicProperties

    public java.util.Hashtable getGraphicProperties()

  Get the value of graphicProperties.

  Returns:
    Value of graphicProperties.

### setGraphicProperties

    public void setGraphicProperties(java.util.Hashtable v)

  Set the value of graphicProperties.

  Parameters:
    `v` - Value to assign to graphicProperties.

### isDefaultValue

    public boolean isDefaultValue(java.lang.String name,
                                  java.lang.String value,
                                  int type)

  Test if a pair is a default value of the table.

  Parameters:
    `name` - name of the key
    `value` - value of the pair

### isStandardDefaultValue

    public boolean isStandardDefaultValue(java.lang.String name,
                                          java.lang.String value,
                                          int type)

### setIcon

    public void setIcon(java.lang.String location)

### getIcon

    public java.lang.String getIcon()

### hasIcon

    public boolean hasIcon()

### getCategory

    public java.lang.String getCategory()

### setCategory

    public void setCategory(java.lang.String s)

### getElementClass

    public java.lang.String getElementClass()

### setElementClass

    public void setElementClass(java.lang.String s)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasActions

    public boolean hasActions()

### setActions

    public void setActions(java.util.Hashtable v)

### getActions

    public java.util.Hashtable getActions()

### getAction

    public ActionDesc getAction(java.lang.String s)

### addActionDesc

    public void addActionDesc(ActionDesc a)

### addActionDesc

    public void addActionDesc(java.lang.String call,
                              java.lang.String name)

### makeElement

    public SElement makeElement(java.util.Hashtable properties)

  A factory method that builds a new element according to the description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.